import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="DeepseekAPI",
    version="1.0.0",
    author="JiaSizhe",
    author_email="1357611002@qq.com",
    description="A Python package for deepseek to call API more easily",
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(),

    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Eclipse Public License 1.0 (EPL-1.0)",
        "Operating System :: OS Independent",
    ],

    install_requires=[
        'openai',
        'Markdown',
        'python-markdown-math',
        'beautifulsoup4'
    ],

    python_requires='>=3.8',
    url='https://gitee.com/jiasizhe/deepseek-api'
)